Bug 146005 - LD_LIBRARY_PATH setting in /usr/bin/firefox
LD_LIBRARY_PATH setting in /usr/bin/firefox
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 12:58 EST by Kir Kolyshkin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.1-1.3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-27 22:55:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kir Kolyshkin 2005-01-24 12:58:38 EST
Description of problem:

Looking into /usr/bin/firefox, I have noticed the following code:

--- cut ---
##
## Set LD_LIBRARY_PATH
##
if [ "$LD_LIBRARY_PATH" ]
then
  LD_LIBRARY_PATH=$MOZ_DIST_BIN:$MOZ_DIST_BIN/plugins:$LD_LIBRARY_PATH
else
  LD_LIBRARY_PATH=$MOZ_DIST_BIN:$MOZ_DIST_BIN
fi

export LD_LIBRARY_PATH
--- cut ---

I think the line after the 'else' statement should look like following:
--- cut ---
  LD_LIBRARY_PATH=$MOZ_DIST_BIN:$MOZ_DIST_BIN/plugins
--- cut ---

E.g. /plugins is missing.

Version-Release number of selected component (if applicable):

$ rpm -qf /usr/bin/firefox
firefox-1.0-2.fc3
Comment 1 Christopher Aillon 2005-02-27 22:55:35 EST
Fixed in firefox-1.0.1-1.3.1

Note You need to log in before you can comment on or make changes to this bug.